Subject: bug#33185: closed (Re: [bug#33185] [PATCH 0/7] Add patchwork package and service.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 31 May 2019 19:44:02 +0000

Your bug report

#33185: [PATCH 0/7] Add patchwork package and service.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33185: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33185
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33185] [PATCH 0/7] Add patchwork package and service.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Fri, 31 May 2019 20:43:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> These patches add a package for patchwork, a web-based patch tracking
>> system, along with some missing dependencies and the beginnings of a
>> system service and test.
>>
>> Everything up to the patchwork package should be ready to merge, but the
>> patchwork package, service and system test is currently very rough and
>> unready.
>>
>>
>> Christopher Baines (7):
>>   gnu: Add python-jsmin.
>>   gnu: Add python-slimit.
>>   gnu: Add python-django-pipeline.
>>   gnu: Add python-django-jinja.
>>   gnu: Add python-django-debug-toolbar.
>>   gnu: Add patchwork.
>>   services: Add patchwork.
>>
>>  gnu/packages/django.scm     | 130 ++++++++++++++++
>>  gnu/packages/patchutils.scm |  95 ++++++++++++
>>  gnu/packages/python-web.scm |  50 +++++++
>>  gnu/services/web.scm        | 291 +++++++++++++++++++++++++++++++++++-
>>  gnu/tests/web.scm           | 104 ++++++++++++-
>>  5 files changed, 668 insertions(+), 2 deletions(-)
>
> Following on from this, I believe the first 5 patches adding the
> prerequisite packages for patchwork have now been added.
>
> The initial package and service for Patchwork wasn't ready to add to
> Guix, but I now believe it is at least ready to review.
>
> In addition to Patchwork, this patch series also includes a service for
> Getmail. I believe this is the simplest way of getting patches in to
> Patchwork.
>
>
> Christopher Baines (3):
>   services: Add getmail.
>   gnu: Add patchwork.
>   services: Add patchwork.
>
>  doc/guix.texi               | 464 ++++++++++++++++++++++++++++++++++++
>  gnu/local.mk                |   1 +
>  gnu/packages/patchutils.scm | 166 +++++++++++++
>  gnu/services/getmail.scm    | 380 +++++++++++++++++++++++++++++
>  gnu/services/web.scm        | 366 +++++++++++++++++++++++++++-
>  gnu/tests/mail.scm          | 177 +++++++++++++-
>  gnu/tests/web.scm           | 162 ++++++++++++-
>  7 files changed, 1713 insertions(+), 3 deletions(-)
>  create mode 100644 gnu/services/getmail.scm

I've gone ahead and merged these now [1].

1: 2177d9222f8c228fe5cd4e9c98d96f97e9601b86

Subject: [PATCH 0/7] Add patchwork package and service.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 28 Oct 2018 09:21:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches add a package for patchwork, a web-based patch tracking
system, along with some missing dependencies and the beginnings of a
system service and test.

Everything up to the patchwork package should be ready to merge, but the
patchwork package, service and system test is currently very rough and
unready.

Christopher Baines (7):
  gnu: Add python-jsmin.
  gnu: Add python-slimit.
  gnu: Add python-django-pipeline.
  gnu: Add python-django-jinja.
  gnu: Add python-django-debug-toolbar.
  gnu: Add patchwork.
  services: Add patchwork.

 gnu/packages/django.scm     | 130 ++++++++++++++++
 gnu/packages/patchutils.scm |  95 ++++++++++++
 gnu/packages/python-web.scm |  50 +++++++
 gnu/services/web.scm        | 291 +++++++++++++++++++++++++++++++++++-
 gnu/tests/web.scm           | 104 ++++++++++++-
 5 files changed, 668 insertions(+), 2 deletions(-)